%global spec_ver 1.1
%global spec_name geronimo-annotation_%{spec_ver}_spec

%{?scl:%scl_package geronimo-annotation}
%{!?scl:%global pkg_name %{name}}
%{!?maven_scl:%global maven_scl_prefix %{nil}}

Name:             %{?scl_prefix}geronimo-annotation
Version:          1.0
Release:          14%{?dist}
Summary:          Java EE: Annotation API v1.1
Group:            Development/Libraries
License:          ASL 2.0
URL:              http://geronimo.apache.org/

Source0:          http://repo2.maven.org/maven2/org/apache/geronimo/specs/%{spec_name}/%{version}/%{spec_name}-%{version}-source-release.tar.gz
BuildArch:		  noarch

BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    %{maven_scl_prefix}jpackage-utils
BuildRequires:    %{maven_scl_prefix}maven-local
BuildRequires:    %{maven_scl_prefix}geronimo-parent-poms
BuildRequires:    %{maven_scl_prefix}maven-resources-plugin

Requires:         java >= 1:1.6.0
Requires:         jpackage-utils
%{?scl:Requires: %scl_runtime}

%description
This package defines the common annotations.

%package javadoc
Group:            Documentation
Summary:          Javadoc for %{pkg_name}
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{pkg_name}.


%prep
scl enable %{scl} - <<EOF
%setup -q -n %{spec_name}-%{version}
sed -i 's/\r//' LICENSE NOTICE
%pom_set_parent org.apache.geronimo.specs:specs:1.4

%mvn_alias : org.apache.geronimo.specs:geronimo-annotation_1.0_spec
%mvn_alias : javax.annotation:jsr250-api
%mvn_alias : org.eclipse.jetty.orbit:javax.annotation

%mvn_file : %{pkg_name} annotation
EOF

%build
scl enable %{scl} - <<EOF
%mvn_build
EOF

%install
scl enable %{scl} - <<EOF
%mvn_install
EOF

pwd
ls
jdir=target/site/apidocs
install -dm755 %{buildroot}%{_javadocdir}/%{pkg_name}
for f in `ls $jdir | grep -E "html|css"`; do
  cp $jdir/$f %{buildroot}%{_javadocdir}/%{pkg_name}/;
  echo %{_javadocdir}/%{pkg_name}/$f >> %{_builddir}/%{spec_name}-%{version}/.mfiles-javadoc;
done

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Fri Oct 10 2014 Mat Booth <mat.booth@redhat.com> - 1.0-14
- Resolves rhbz#1146976 - Drop conflicting provides

* Thu May 22 2014 Roland Grunberg <rgrunber@redhat.com> - 1.0-13
- Fix path for artifact locations.

* Mon May 19 2014 Jeff Johnston <jjohnstn@redhat.com> 1.0-12
- Scl-ized, based on rawhide.

* Wed Feb 13 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.0-11
- Make the package noarch.

* Mon Nov 26 2012 Krzysztof Daniel <kdaniel@redhat.com> 1.0-10
- Initial contribution to SCL.

* Thu Aug 23 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0-9
- Install NOTICE file

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar  6 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0-7
- Add javax.annotation:jsr250-api to depmap

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 16 2011 Alexander Kurtakov <akurtako@redhat.com> 1.0-5
- Build with maven 3.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 4 2010 Chris Spike <chris.spike@arcor.de> 1.0-3
- Added 'org.apache.geronimo.specs:geronimo-annotation_1.0_spec' to maven depmap

* Mon Jul 26 2010 Chris Spike <chris.spike@arcor.de> 1.0-2
- Fixed whitespace/tabs use
- Fixed wrong EOL encoding

* Sun Jul 18 2010 Chris Spike <chris.spike@arcor.de> 1.0-1
- Initial version of the package
